2007-01-16 19:54  cegger

	* configure.in: Next bugfix release is 1.1.2. Bump version.

2007-01-09 21:36  cegger

	* checkversion.sh: pull up the following revision(s) (requested by
	  cegger):  checkversion.sh: 1.4 - 1.5

	  Check and accept version numbers that are greater than the
	  required one. Now we can use automake 1.10.

2006-12-30 21:05  cegger

	* doc/man/: gicActionLazyAction.3, gicActionWrite.3,
	  gicContextAllocate.3, gicControlAllocate.3, gicFeatureActivate.3,
	  gicFeatureAllocate.3, gicFeatureAttachAction.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicHeadAllocate.3, gicInit.3,
	  gicInputRegister.3, gicOpen.3, gicRecognizerDriverRegister.3,
	  gicRecognizerTrain.3, gicRecognizerWrite.3, gic_context.3,
	  gic_control.3, gic_feature.3, gic_head.3, libgiigic-usage.7,
	  libgiigic.7: regen.

2006-02-25 19:51  cegger

	* ChangeLog: update for libgiigic 1.1.1

2006-02-25 19:49  cegger

	* configure.in: welcome to libgiigic 1.1.1

2006-02-24 21:30  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: pull up the following
	  revision(s) (requested by cegger):  ggi-libs/libgiigic/ltmain.sh:
	  1.52 - 1.72  ggi-libs/libgiigic/m4/libtool.m4: 1.48 - 1.63
	  ggi-libs/libgiigic/m4/ltoptions.m4: 1.8 - 1.10
	  ggi-libs/libgiigic/m4/ltsugar.m4: 1.5 - 1.7
	  ggi-libs/libgiigic/m4/ltversion.m4: 1.41 - 1.61

	  sync with HEAD

2006-02-20 19:52  cegger

	* programs/: demos/Makefile.am, snazzymgr/Makefile.am: pull up the
	  following revision(s) (requested by pekberg):
	  programs/demos/Makefile.am: 1.6 - 1.7
	  programs/snazzymgr/Makefile.am: 1.6 - 1.7

	  Distribute missing .gic-files for the demos

2006-01-18 19:10  cegger

	* gic/init.c: pull up the following revision(s) (requested by
	  pekberg):  gic/init.c: 1.24 - 1.25 Clear config handle variable
	  on last exit

2006-01-18 18:32  cegger

	* gic/init.c: pull up the following revision(s) (requested by
	  pekberg):  gic/init.c: 1.23 - 1.24 Clean up properly on failure
	  in init function

2005-12-10 15:30  cegger

	* ChangeLog: update for final libgiigic 1.1.0

2005-12-10 15:27  cegger

	* configure.in: welcome to final libgiigic 1.1.0

2005-11-28 18:27  cegger

	* configure.in, ChangeLog: welcome to libgiigic 1.1.0 release
	  candidate 2

2005-11-20 20:27  cegger

	* m4/ltversion.m4: pull up revisions 1.41 - 1.52 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:27  cegger

	* m4/ltsugar.m4: pull up revisions 1.5 - 1.7 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:27  cegger

	* m4/ltoptions.m4: pull up revisions 1.8 - 1.10 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:26  cegger

	* m4/libtool.m4: pull up revisions 1.48 - 1.56 (requested by
	  cegger):

	  sync with libtool cvs head to version 1.2197

2005-11-20 20:26  cegger

	* ltmain.sh: pull up revisions 1.52 - 1.63 (requested by cegger):

	  sync with libtool cvs head to version 1.2197

2005-10-30 09:30  cegger

	* autogen.sh: pull up revisions 1.11 - 1.12 (requested by cegger):

	  fix syntax error on solaris

2005-09-21 21:13  cegger

	* doc/man/: gicActionLazyAction.3, gicActionWrite.3,
	  gicContextAllocate.3, gicControlAllocate.3, gicFeatureActivate.3,
	  gicFeatureAllocate.3, gicFeatureAttachAction.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicHeadAllocate.3, gicInit.3,
	  gicInputRegister.3, gicOpen.3, gicRecognizerDriverRegister.3,
	  gicRecognizerTrain.3, gicRecognizerWrite.3, gic_context.3,
	  gic_control.3, gic_feature.3, gic_head.3, libgiigic-usage.7,
	  libgiigic.7: regen.

2005-09-21 12:50  cegger

	* configure.in: welcome to 1.0.0 release candidate 1

2005-09-21 08:23  cegger

	* ChangeLog: update for libgiigic 1.1.0

2005-09-20 21:11  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2081

2005-09-20 20:50  cegger

	* include/ggi/internal/debug_macros.h: #define DMESSAGE also when
	  DEBUG is not defines. Fixes build error reported by Bernhard
	  Fischer

2005-09-20 19:46  cegger

	* include/ggi/internal/debug_macros.h: trim some whitespace

2005-09-20 15:03  cegger

	* libgiigic.conf.in: use the correct alias semantics

2005-09-20 15:01  cegger

	* gic/init.c: rewrite alias expansion and target loading in new
	  style: use scope interface and config iterators as thought to be.
	  Now the code is MUCH simpler and more efficient.

2005-09-19 22:59  cegger

	* libgiigic.conf.in: typo in symbol name

2005-09-19 22:58  cegger

	* gic/init.c: builtins work now

2005-09-19 22:36  cegger

	* gic/init.c: nest config iterators to get through multiple alias
	  levels. libgiigic finally works again

2005-09-19 22:35  cegger

	* libgiigic.conf.in: remove brackets. the aliases are interpreted
	  as options otherwise.

2005-09-19 21:41  cegger

	* programs/snazzymgr/main.c: handle failure case of gicOpen

2005-09-19 21:20  cegger

	* gic/init.c: _gicOpen: replace ggMatchConfig() with config
	  iterator

2005-09-15 15:17  cegger

	* Makefile.am, configure.in, libgiigic.conf.in, gic/Makefile.am,
	  gic/builtins.am, gic/builtins.c, gic/init.c,
	  recognizers/cheat/Makefile.am, recognizers/keys/Makefile.am,
	  recognizers/mousebutton/Makefile.am,
	  recognizers/relmouse/Makefile.am,
	  recognizers/valuator/Makefile.am, recognizers-shared/.cvsignore,
	  recognizers-shared/Makefile.am: support for static linking

2005-09-15 15:12  cegger

	* recognizers/: cheat/EXPSYMS, keys/EXPSYMS, mousebutton/EXPSYMS,
	  relmouse/EXPSYMS, valuator/EXPSYMS: change init symbol to follow
	  libggi scheme: GICdl_<modulename>

2005-09-15 15:03  cegger

	* gic/init.c, recognizers/cheat/cheat.c, recognizers/keys/keys.c,
	  recognizers/mousebutton/mousebutton.c,
	  recognizers/relmouse/relmouse.c, recognizers/valuator/valuator.c:
	  change init symbol to follow libggi scheme: GICdl_<modulename>

2005-09-15 14:14  cegger

	* gic/init.c: remove superflous indentation level

2005-09-14 09:44  cegger

	* Makefile.am: remove config.lt when run 'make distclean'

2005-09-13 11:24  pekberg

	* m4/Makefile.am: Libltdl isn't needed, can't be used (LGPL) and
	  isn't used, so zap ltdl.m4.

2005-09-13 09:42  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2073

2005-09-08 14:31  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool cvs
	  head to version 1.2066

2005-09-07 12:00  pekberg

	* configure.in: Use new GGI_NEED_INTTYPES macro

2005-09-07 11:45  pekberg

	* m4/common.m4: Add macro to centralize C99 inttypes detection.

2005-09-07 08:49  pekberg

	* configure.in: Add modern autoconf init macro that specifies name
	  of package and bug report address etc. Specify the m4 macro dir.

2005-09-05 18:41  cegger

	* include/ggi/internal/debug_macros.h: update mail address in
	  Copyright

2005-09-05 13:18  pekberg

	* autogen.sh: Add --force option that disables version checks.

2005-09-04 14:30  cegger

	* config.guess, install-sh: update to version shipped with libtool
	  1.5.20

2005-09-03 07:57  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: sync
	  with libtool cvs head to version 1.2057

2005-08-31 09:11  cegger

	* autogen.sh, ltmain.sh, m4/libtool.m4, m4/ltoptions.m4,
	  m4/ltversion.m4: sync with libtool cvs head to version 1.2049
	  This requires autoconf 2.59 and automake 1.9.6

2005-08-31 08:35  cegger

	* checkversion.sh: error properly out when where autotools are
	  missing

2005-08-28 15:09  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.298

2005-08-22 10:37  cegger

	* Makefile.am: remove genlibtool from EXTRA_DIST and *CLEANFILES

2005-08-19 09:23  cegger

	* autogen.sh: Change message 'Running autoconf - generating
	  configure...' to 'Running autoconf...' as suggested by Peter
	  Ekberg

2005-08-19 09:08  cegger

	* autogen.sh, m4/common.m4: do not generate genlibtool, remove
	  GGI_GENLIBTOOL, step 2

2005-08-19 08:55  pekberg

	* .cvsignore, configure.in: Zap genlibtool, step 1

2005-08-18 19:15  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.292

2005-08-10 07:18  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.283

2005-08-08 12:00  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.281

2005-07-31 11:28  cegger

	* doc/man/: gicActionLazyAction.3, gicActionWrite.3,
	  gicContextAllocate.3, gicControlAllocate.3, gicFeatureActivate.3,
	  gicFeatureAllocate.3, gicFeatureAttachAction.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicHeadAllocate.3, gicInit.3,
	  gicInputRegister.3, gicOpen.3, gicRecognizerDriverRegister.3,
	  gicRecognizerTrain.3, gicRecognizerWrite.3, gic_context.3,
	  gic_control.3, gic_feature.3, gic_head.3, libgiigic-usage.7,
	  libgiigic.7: regen.

2005-07-30 17:48  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.274

2005-07-30 16:57  cegger

	* doc/man/Makefile.am, doc/man/gic_context.3,
	  doc/man/gic_control.3, doc/man/gic_feature.3, doc/man/gic_head.3,
	  doc/man/libgiigic.7, gic/init.c, include/ggi/gic_structs.h,
	  include/ggi/internal/gic_debug.h, programs/snazzymgr/util.c,
	  recognizers/cheat/cheat.c, recognizers/keys/keys.c,
	  recognizers/relmouse/relmouse.c, recognizers/valuator/valuator.c:
	  use C99 inttypes

2005-07-28 11:25  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.272

2005-07-14 06:02  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to the versions shipped with automake 1.9.6

2005-07-08 18:14  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.262

2005-06-28 12:00  cegger

	* include/ggi/internal/Makefile.am: add debug_macros.h to
	  noinst_HEADERS. Alphabetize order.

2005-06-28 11:57  cegger

	* Makefile.am: add genlibtool.cache to DISTCLEANFILES

2005-06-28 05:25  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1667.2.252

2005-06-20 07:42  cegger

	* recognizers/: cheat/cheat.c, keys/keys.c,
	  mousebutton/mousebutton.c, valuator/valuator.c: replace strncpy()
	  with ggstrlcpy(). strncpy() was used incorrectly anyway -
	  NULL-termination was forgotten

2005-06-20 07:36  cegger

	* recognizers/valuator/valuator.c: #include
	  <ggi/internal/gg_replace.h> and zap #ifdef HAVE_SNPRINTF

2005-06-20 07:32  cegger

	* recognizers/: mousebutton/mousebutton.c, relmouse/relmouse.c:
	  #include <ggi/internal/gg_replace.h> and zap #ifdef HAVE_SNPRINTF

2005-06-20 07:29  cegger

	* recognizers/keys/keys.c: #include <ggi/internal/gg_replace.h> and
	  zap #ifdef HAVE_SNPRINTF

2005-06-20 07:26  cegger

	* programs/snazzymgr/main.c: #include <ggi/internal/gg_replace.h>
	  and zap #ifdef HAVE_SNPRINTF

2005-06-20 07:22  cegger

	* gic/init.c: #include <ggi/internal/gg_replace.h> and zap #ifdef
	  HAVE_SNPRINTF

2005-06-20 07:14  cegger

	* gic/: context.c, control.c, feature.c, head.c: replace strncpy()
	  with ggstrlcpy()

2005-06-20 07:03  cegger

	* programs/snazzymgr/: main.c, snazzy.h, util.c: appease
	  -Wcast-qual

2005-06-20 06:55  cegger

	* programs/demos/: confmgrdemo.c, ggidemo.c: appease -Wcast-qual

2005-06-20 06:49  cegger

	* gic/feature.c, gic/init.c, gic/manager.c, include/ggi/gic.h,
	  include/ggi/gic_confmgr.h, include/ggi/gic_structs.h,
	  recognizers/keys/keys.c: appease -Wcast-qual

2005-06-12 11:42  cegger

	* m4/ltsugar.m4: This libtool change fixes an infinite m4 loop in
	  CVS autoconf, but causes one in autoconf 2.59. Since we use the
	  stable version we downgrade...

2005-06-12 08:48  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 to version
	  1.1167.2.245

2005-06-10 12:22  cegger

	* m4/common.m4: add GGI_CHECK_LIB, like AC_CHECK_LIB, but uses
	  libtool as a compiler

2005-06-09 20:01  cegger

	* configure.in: use -Wuninitialized, -Wcast-qual and
	  -Wwrite-strings on gcc

2005-06-02 20:03  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1167.2.239

2005-05-16 15:06  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.236

2005-04-29 15:35  cegger

	* m4/: common.m4, libtool.m4: Quote all arguments to AC_DEFINE and
	  AC_DEFINE_UNQUOTED consistently. Patch from libtool branch-2-0

2005-04-29 08:49  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.229

2005-04-29 08:33  cegger

	* configure.in: use new GGI_GENLIBTOOL macro introduced in
	  m4/common.m4, rev 1.2

2005-04-29 08:27  cegger

	* m4/common.m4: new macro: GGI_GENLIBTOOL. It generates libtool for
	  use of configure. Implementation copied from
	  ggi-core/libgii/configure.in, rev 1.160

2005-04-29 07:47  cegger

	* m4/Makefile.am: consolidate m4 macros into one common.m4 file
	  each GGI lib or extension needs anyway.

2005-04-29 07:19  cegger

	* m4/common.m4: consolidate m4 macros into one common.m4 file each
	  GGI lib or extension needs anyway.

2005-04-24 09:30  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.219

2005-04-16 20:23  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.211

2005-04-07 21:36  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.207

2005-03-20 08:56  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1167.2.193

2005-03-11 21:18  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to verison 1.1667.2.175

2005-02-26 18:25  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.166

2005-02-17 23:26  cegger

	* ltmain.sh: pass -pthread like flags to the linker when linking
	  executables too. Now libtool tracks -pthread dependency correctly

2005-02-15 06:27  cegger

	* autogen.sh: We now require automake 1.9.5 to benefit from
	  bugfixes and a license change:

	  All m4 files have been relicensed under an all-permissive
	  license.

	  Previously they used a GPL license, and an all-permissive license
	  was prepended when they were copied into aclocal.m4, leading to
	  some confusion.

2005-02-15 06:08  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to versions shipped with automake 1.9.5

2005-02-09 06:19  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  to version 1.1667.2.158

2005-02-01 21:12  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.149

2005-01-27 20:13  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 to version 1.1667.2.141

2005-01-24 22:18  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.137

2005-01-13 11:50  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	  m4/ltversion.m4: sync up with libtool cvs branch-2-0 version
	  1.1667.2.129

2005-01-12 00:00  cegger

	* ltmain.sh, m4/ltversion.m4: sync up with libtool cvs branch-2-0
	  version 1.1667.2.127

2004-12-28 18:53  cegger

	* config.guess, config.sub, install-sh: update to the versions
	  shipped with automake 1.9.4

2004-12-28 18:41  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.118

2004-12-23 23:54  cegger

	* gic/EXPSYMS: export _gicDebug symbols. Needed by sublibs.

2004-12-22 13:16  cegger

	* checkversion.sh: use 'head -n 1' than 'head -1'. Last form is
	  depricated. Patch from Tobias Hunger.

2004-12-21 07:51  cegger

	* configure.in: do not pass DEBUG via config.h. Pass it via CC.
	  Fixes compilation error, when debug header is included, but not
	  config.h. libgiigic compiles again

2004-12-14 08:59  cegger

	* gic/Makefile.am: fix thinko: s/DEBUG_MANPAGE/DEBUG_NAMESPACE/

2004-12-13 17:41  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.100

2004-12-08 08:37  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.6 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  'fmt' becomes 'form'. Finally, it is in a working state again.

2004-12-08 07:26  cegger

	* include/ggi/internal/debug_macros.h: sync up with revision 1.5 of
	  tools/buildframework/include/ggi/internal/debug_macros.h:

	  disable DPRINTIF that is meant for compatibility. Fixes build
	  problems due to re-declaration.

2004-12-07 09:02  cegger

	* include/ggi/internal/debug_macros.h: sync with rev. 1.4:

	  More work on the debug framework - multiple debug level - macros
	  for defining debug context

2004-11-30 14:56  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.95

2004-11-29 20:00  soyt

	* recognizers/: cheat/Makefile.am, keys/Makefile.am,
	  mousebutton/Makefile.am, relmouse/Makefile.am,
	  valuator/Makefile.am: - change AM_CFLAGS to AM_CPPFLAGS - use '.'
	  rather than ':' in DEBUG_NAMESPACE

2004-11-28 15:28  cegger

	* doc/man/: gicContextAllocate.3, gicControlAllocate.3,
	  gicHeadAllocate.3, gicOpen.3: regen.

2004-11-28 15:28  cegger

	* doc/libgiigic-functions.txt: tidy up doc formattings. Patch from
	  Neil Pilgrim

2004-11-28 12:58  cegger

	* doc/man/gicExit.3: regen.

2004-11-28 12:53  cegger

	* doc/man/: Makefile.am, gicActionLazyAction.3, gicActionWrite.3,
	  gicContextAllocate.3, gicControlAllocate.3, gicFeatureActivate.3,
	  gicFeatureAllocate.3, gicFeatureAttachAction.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicHeadAllocate.3, gicInit.3,
	  gicInputRegister.3, gicOpen.3, gicRecognizerDriverRegister.3,
	  gicRecognizerTrain.3, gicRecognizerWrite.3: regen.

2004-11-28 12:50  soyt

	* doc/libgiigic-functions.txt: Fixed manpage entry for gicInit

2004-11-28 00:15  soyt

	* include/ggi/: gic_aclib_lazy.h, gicaction_lazy.h: use coherent
	  notation for header protection

2004-11-27 23:40  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.88

2004-11-27 22:00  soyt

	* gic/Makefile.am, gic/feature.c, gic/init.c,
	  include/ggi/internal/gic_debug.h, recognizers/cheat/Makefile.am,
	  recognizers/cheat/cheat.c, recognizers/keys/Makefile.am,
	  recognizers/keys/keys.c, recognizers/mousebutton/Makefile.am,
	  recognizers/mousebutton/mousebutton.c,
	  recognizers/relmouse/Makefile.am,
	  recognizers/relmouse/relmouse.c,
	  recognizers/valuator/Makefile.am,
	  recognizers/valuator/valuator.c: define DEBUG_NAMESPACE where
	  appropritate

2004-11-27 20:57  soyt

	* include/ggi/internal/debug_macros.h: Added
	  include/ggi/internal/debug_macros.h

2004-11-22 11:54  cegger

	* doc/man/: gicContextAllocate.3, gicControlAllocate.3,
	  gicFeatureActivate.3: regen.

2004-11-19 21:52  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.78

2004-11-19 19:48  cegger

	* doc/man/: gicActionLazyAction.3, gicActionWrite.3,
	  gicContextAllocate.3, gicControlAllocate.3, gicFeatureActivate.3,
	  gicFeatureAllocate.3, gicFeatureAttachAction.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicHeadAllocate.3, gicInit.3,
	  gicInputRegister.3, gicOpen.3, gicRecognizerDriverRegister.3,
	  gicRecognizerTrain.3, gicRecognizerWrite.3, libgiigic-usage.7:
	  regen.

2004-11-19 16:05  soyt

	* doc/: libgiigic-functions.txt, libgiigic-overview.txt: manpage
	  format fix

2004-11-18 19:02  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync up with libtool
	  cvs branch-2-0 version 1.1667.2.73

2004-11-18 11:29  cegger

	* doc/man/libgiigic-usage.7: regen.

2004-11-18 11:25  cegger

	* doc/libgiigic-overview.txt: s/Now we have one point at needs to
	  be cleaned up: The file also/Now we have one point that needs to
	  be cleaned up: the file also/ - from Neil Pilgrim

2004-11-18 08:22  cegger

	* doc/man/libgiigic-usage.7: regen.

2004-11-18 08:12  cegger

	* doc/libgiigic-overview.txt: s/oder/or/ - from Neil Pilgrim

2004-11-16 23:28  cegger

	* doc/man/: Makefile.am, gicActionLazyAction.3,
	  gicActionLazyGetstate.3, gicActionLazyReset.3, gicActionWrite.3,
	  gicContextAllocate.3, gicControlAllocate.3, gicFeatureActivate.3,
	  gicFeatureAllocate.3, gicFeatureAttachAction.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicHeadAllocate.3, gicInit.3,
	  gicInputRegister.3, gicOpen.3, gicRecognizerDriverRegister.3,
	  gicRecognizerTrain.3, gicRecognizerWrite.3, gic_context.3,
	  gic_control.3, gic_feature.3, gic_head.3, libgiigic-usage.7,
	  libgiigic.7: regen.

2004-11-16 23:27  cegger

	* doc/: libgiigic-functions.txt, libgiigic-libraries.txt,
	  libgiigic-overview.txt, libgiigic-structures.txt, libgiigic.txt:
	  - typo fix: s/ggiExit/gicExit/ in gicInit(3), spotted by Neil
	  Pilgrim - remove brackets from function names in descriptions,
	  spotted by Neil Pilgrim - add skeleton for a ggiActionLazy*
	  manpage - convert libgiigic-overview into a libgiigic-usage(7)
	  manpage - new manpages for libgiigic structures: gic_head(3),
	  gic_context(3), gic_control(3) and gic_feature(3) - put
	  references from function manuals to structure ones and vice versa

2004-11-16 22:35  cegger

	* include/ggi/gic_structs.h: fix another cut/copy/paste error in
	  comment

2004-11-16 22:18  cegger

	* include/ggi/gic_structs.h: fix cut/copy/paste error in comment

2004-11-15 20:21  cegger

	* doc/man/: gicActionWrite.3, gicContextAllocate.3,
	  gicControlAllocate.3, gicFeatureActivate.3, gicFeatureAllocate.3,
	  gicFeatureAttachAction.3, gicFeatureAttachRecognizerDriver.3,
	  gicFeatureMapActions.3, gicFeatureWrite.3, gicHeadAllocate.3,
	  gicInit.3, gicInputRegister.3, gicOpen.3,
	  gicRecognizerDriverRegister.3, gicRecognizerTrain.3,
	  gicRecognizerWrite.3: regen.

2004-11-15 20:20  cegger

	* doc/libgiigic-functions.txt: reference to gii-error(3) when
	  talking about error codes

2004-11-14 22:56  cegger

	* programs/snazzymgr/main.c, recognizers/keys/keys.c,
	  recognizers/mousebutton/mousebutton.c,
	  recognizers/relmouse/relmouse.c, recognizers/valuator/valuator.c:
	  use snprintf(3) if available

2004-11-14 22:30  cegger

	* gic/action.c, gic/context.c, gic/control.c, gic/feature.c,
	  gic/head.c, gic/recognizer.c, recognizers/cheat/cheat.c,
	  recognizers/keys/keys.c, recognizers/mousebutton/mousebutton.c,
	  recognizers/relmouse/relmouse.c, recognizers/valuator/valuator.c:
	  use proper defines for return values if applicable

2004-11-14 21:23  cegger

	* configure.in: - use -std=gnu99 flag when gcc has it - also use
	  -W* flags when we don't compile debug code

2004-11-11 15:18  cegger

	* programs/demos/: demo.c, ggidemo.c: fix warning: void format,
	  gic_context arg

2004-11-11 15:09  cegger

	* recognizers/valuator/valuator.c: fix warning: unsigned int
	  format, sint32 arg

2004-11-11 15:00  cegger

	* recognizers/relmouse/relmouse.c: fix warning: unsigned int
	  format, int arg

2004-11-11 14:06  cegger

	* configure.in: - use GGI_CHECK_STRING_FUNCS - use
	  GGI_CC_CHECK4_OPTION for -pedantic  $CC option - use
	  GGI_CHECK_IMPLICIT_DECLARATIONS

2004-11-10 20:06  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltversion.m4: -
	  sync up with libtool cvs branch-2-0 version 1.1667.2.67 - Add
	  -pthread and other thread flags to inherited_linker_flags.

2004-11-03 19:01  cegger

	* recognizers/valuator/valuator.c: move mycontrol initialization at
	  the top, eliminate static variable forward declaration. add
	  forward declaration for functions.

	  Fixes compiler error: 'error: static declaration of 'mycontrols'
	  follows non-static declaration'

2004-11-03 18:58  cegger

	* recognizers/relmouse/relmouse.c: move mycontrol initialization at
	  the top, eliminate static variable forward declaration. add
	  forward declaration for functions.

	  Fixes compiler error: 'error: static declaration of 'mycontrols'
	  follows non-static declaration'

2004-11-03 18:53  cegger

	* recognizers/mousebutton/mousebutton.c: move mycontrol
	  initialization at the top, eliminate static variable forward
	  declaration. add forward declaration for functions.

	  Fixes compiler error: 'error: static declaration of 'mycontrols'
	  follows non-static declaration'

2004-11-03 18:49  cegger

	* recognizers/keys/keys.c: move mycontrol initialization at the
	  top, eliminate static variable forward declaration. add forward
	  declaration for functions.

	  Fixes compiler error: 'error: static declaration of 'mycontrols'
	  follows non-static declaration'

2004-11-03 18:44  cegger

	* recognizers/cheat/cheat.c: move mycontrol initialization at the
	  top, eliminate static variable forward declaration. add forward
	  declaration for functions.

	  Fixes compiler error: 'error: static declaration of 'mycontrols'
	  follows non-static declaration'

2004-11-03 18:01  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool branch-2-0 cvs
	  branch, version 1.1667.2.55

2004-11-03 08:12  cegger

	* doc/man/: Makefile.am, gicActionWrite.3, gicContextAllocate.3,
	  gicControlAllocate.3, gicFeatureActivate.3, gicFeatureAllocate.3,
	  gicFeatureAttachAction.3, gicFeatureAttachRecognizerDriver.3,
	  gicFeatureMapActions.3, gicFeatureWrite.3, gicHeadAllocate.3,
	  gicInit.3, gicInputRegister.3, gicOpen.3,
	  gicRecognizerDriverRegister.3, gicRecognizerTrain.3,
	  gicRecognizerWrite.3, libgiigic.7: regenerate manpages

2004-11-03 07:39  cegger

	* doc/libgiigic-functions.txt: ReST syntax fix. Now the backtick is
	  evaluated correctly

2004-11-01 22:39  cegger

	* compile, config.guess, install-sh: sync with
	  tools/buildframework:

	  update to versions shipped with automake 1.9.3

2004-11-01 18:50  cegger

	* ltmain.sh, m4/libtool.m4, m4/ltversion.m4: sync with libtool
	  branch-2-0 cvs branch, version 1.1667.2.53

2004-10-29 22:16  cegger

	* doc/man/: gicFeatureActivate.3, gicFeatureAllocate.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicOpen.3, gicRecognizerWrite.3: regen.
	  manpages

2004-10-29 22:13  cegger

	* doc/libgiigic-functions.txt: typo fix: recogzizer -> recognizer.
	  Spotted by neiljp

2004-10-28 07:14  pekberg

	* configure.in: Zap dlopen from LT_INIT, we're not using the
	  -dlopen or -dlpreopen libtool flags anywhere.

2004-10-28 06:01  cegger

	* doc/libgiigic-functions.txt: mark places, that still need some
	  improvements

2004-10-28 05:31  cegger

	* doc/man/: gicActionWrite.3, gicContextAllocate.3,
	  gicControlAllocate.3, gicFeatureActivate.3, gicFeatureAllocate.3,
	  gicFeatureAttachAction.3, gicFeatureAttachRecognizerDriver.3,
	  gicFeatureMapActions.3, gicFeatureWrite.3, gicHeadAllocate.3,
	  gicInit.3, gicInputRegister.3, gicOpen.3,
	  gicRecognizerDriverRegister.3, gicRecognizerTrain.3,
	  gicRecognizerWrite.3, libgiigic.7: regenerate manpages

2004-10-28 05:25  cegger

	* doc/libgiigic-overview.txt: docutil formatings: literal blocks
	  are indented and start with ::

2004-10-28 05:15  cegger

	* doc/libgiigic-functions.txt: do some docutil formatings - mark
	  functions, add some manpage references in the 'See Also' section

2004-10-27 23:38  ggibecka

	* doc/: Makefile.am, libgiigic-functions.txt,
	  libgiigic-overview.txt, libgiigic.txt: Added more docs, added an
	  overview article. Still needs work WRT the config manager stuff.
	  Maybe Andrew can shed some extra light?

2004-10-27 13:23  pekberg

	* configure.in: It appears that using _LT_SET_OPTION multiple times
	  do not work as expected.

2004-10-27 12:47  cegger

	* doc/man/libgiigic.7: regen.

2004-10-27 10:03  pekberg

	* doc/libgiigic-libraries.txt: Fix GGI_DEBUG_SYNC typo Mention
	  GGI_CONFDIR.

2004-10-27 10:02  pekberg

	* gic/init.c: Don't allow overiding the compiled in path on Cygwin.
	  Overide compiled in path with GGI_CONFDIR.

2004-10-26 14:27  cegger

	* .cvsignore: sync with ggi-core/libggi/.cvsignore, rev 1.3

2004-10-25 12:36  cegger

	* gic/Makefile.am: bump to devel version. better late than never...

2004-10-23 17:47  cegger

	* Makefile.am, configure.in: add genlibtool to distribution run
	  genlibtool from srcdir, not cwd.

	  make distcheck works again

2004-10-23 14:52  cegger

	* configure.in: update via autoupdate with slight modifications by
	  me

2004-10-23 14:32  cegger

	* configure.in: revert rev 1.39. don't run genlibtool twice. Issue
	  caused by syncronization mistake

2004-10-23 14:25  cegger

	* configure.in: libtool 1.4.3 generated the platform dependent
	  libtool script at configure time when AM_PROG_LIBTOOL was
	  invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '/bin/tcsh ./libtool ' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-23 14:01  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 branch

2004-10-23 13:40  cegger

	* m4/check4libggi.m4: libtool 2.0 requires --mode=link option

2004-10-23 12:48  cegger

	* configure.in: libtool 2.0 requires --mode=link option

2004-10-23 12:40  cegger

	* Makefile.am, autogen.sh, configure.in: libtool 1.4.3 generated
	  the platform dependent libtool script at configure time when
	  AM_PROG_LIBTOOL was invoked.

	  With libtool 2.0, config.status generates the platform dependent
	  libtool script. config.status is invoked by configure _after_
	  configure finished.

	  This arises the problem, that library checks via AC_CHECK_LIB
	  fail. We wrap around CC with '$SHELL ./libtool $CC' to easily
	  track somewhat hidden library dependencies that may even differ
	  from platform to platform. This way assumes that libtool exists
	  and has been generated before.  Unfortunately, with libtool 2.0
	  this is no longer true.

	  The solution is to add a minimalistic configure script called
	  genlibtool. genlibtool only performs the checks required to
	  generate the libtool script.

	  configure invokes genlibtool right after AM_PROG_LIBTOOL (which
	  will be renamed to the new name LT_INIT later), to ensure that
	  libtool exists _before_ performing the library checks via
	  AC_CHECK_LIB as described above.

	  Now, since configure calls another 'embedded' configure don't get
	  confused when some checks seem to be done twice.

	  configure creates a confdefs.h file for internal use and deletes
	  it after exiting. We make a safety copy of it _before_ calling
	  genlibtool. When genlibtool finishs, we restore it to not break
	  following checks assuming confdefs.h to be there.

2004-10-22 05:28  cegger

	* ltmain.sh, m4/ltversion.m4: sync with libtool-2-0 cvs branch

2004-10-20 23:44  cegger

	* m4/libtool.m4: incorporate latest libtool 2.0 pre-release fixes

2004-10-19 19:49  cegger

	* configure.in: make use of AC_DEFINE's third argument. This get us
	  rid from acconfig.h and fixes the autoheader warnings.

2004-10-19 14:13  cegger

	* doc/man/: gicContextAllocate.3, gicControlAllocate.3,
	  gicFeatureActivate.3, gicHeadAllocate.3: regenerated

2004-10-18 23:54  ggibecka

	* doc/libgiigic-functions.txt: A first try to fill some of the gaps
	  in the manpages.

2004-10-18 21:15  cegger

	* configure.in: Build update process, part 3: We now require
	  autoconf 2.59

2004-10-18 21:02  cegger

	* m4/: ltoptions.m4, ltsugar.m4, ltversion.m4: Build process
	  update, part 2b: Update to libtool 2.0 pre-release

2004-10-18 20:50  cegger

	* ltmain.sh, m4/libtool.m4: Build process update, part 2a: Update
	  to libtool 2.0 pre-release

2004-10-18 20:38  cegger

	* autogen.sh: Build process update, part 1: We now require autoconf
	  2.59 and automake 1.9.2

2004-10-18 15:56  cegger

	* doc/man/: Makefile.am, gicActionWrite.3, gicContextAllocate.3,
	  gicContextDetachControl.3, gicContextHandleEvent.3,
	  gicControlAllocate.3, gicControlGetFeature.3,
	  gicControlMapActions.3, gicFeatureActivate.3,
	  gicFeatureAllocate.3, gicFeatureAttachAction.3,
	  gicFeatureAttachRecognizerDriver.3, gicFeatureMapActions.3,
	  gicFeatureWrite.3, gicHeadAllocate.3, gicInit.3,
	  gicInputRegister.3, gicOpen.3, gicRecognizerDriverRegister.3,
	  gicRecognizerTrain.3, gicRecognizerWrite.3, libgiigic.7: regen.

2004-10-18 15:51  cegger

	* doc/libgiigic-functions.txt: rename mis-typed manual pages:

	  icContextDetachControl -> gicContextDetachControl
	  icContextHandleEvent -> gicContextHandleEvent icControlGetFeature
	  -> gicControlGetFeature icControlMapActions ->
	  gicControlMapActions

2004-10-18 11:54  cegger

	* configure.in: bump to devel version

2004-10-16 22:00  cegger

	* doc/libgiigic.txt: don't include libggi-structures.txt until it
	  has some contents.

2004-10-16 21:35  cegger

	* configure.in: bump version to 1.0.0 - next major version

2004-10-16 21:26  cegger

	* include/ggi/: gic.h, internal/gic_debug.h: refactor inclusion.
	  gic_debug.h is now independt useable

2004-10-16 21:25  cegger

	* recognizers/: cheat/cheat.c, keys/keys.c,
	  mousebutton/mousebutton.c, relmouse/relmouse.c: include
	  <ggi/internal/gic.h>, not <ggi/gic.h>

2004-10-16 21:16  cegger

	* gic/: action.c, context.c, control.c, feature.c, head.c,
	  manager.c: include <ggi/internal/gic.h>, not <ggi/gic.h>

2004-10-16 21:13  cegger

	* recognizers/valuator/valuator.c: don't include <ggi/gic.h> twice.
	  Needs <ggi/internal/gic_debug.h> here though

2004-10-16 21:10  cegger

	* gic/recognizer.c: need <ggi/gg.h> for ggFreeModule

2004-10-16 21:10  cegger

	* include/ggi/internal/gic.h: don't include gic_debug.h. The c
	  files that needs it, should include it themself

2004-10-16 21:10  cegger

	* gic/init.c: gic_debug.h is needed here. Remove CHAR_DIRDELIM, as
	  it is provided via <ggi/gg.h>

2004-10-16 21:06  cegger

	* include/ggi/gic.h: #include <ggi/gii.h> - which is required
	  anyway

2004-10-16 21:04  cegger

	* doc/: libgiigic-functions.txt, libgiigic-structures.txt,
	  man/Makefile.am, man/gicActionMapActions.3, man/gicActionWrite.3,
	  man/gicContextAllocate.3, man/gicContextAttachControl.3,
	  man/gicContextFindConflict.3, man/gicContextFree.3,
	  man/gicContextGetControl.3, man/gicContextGetName.3,
	  man/gicContextLookupControl.3, man/gicContextMapActions.3,
	  man/gicContextNumControls.3, man/gicContextRead.3,
	  man/gicContextWrite.3, man/gicControlAllocate.3,
	  man/gicControlAttachFeature.3, man/gicControlDetachFeature.3,
	  man/gicControlFindConflict.3, man/gicControlFree.3,
	  man/gicControlGetName.3, man/gicControlHandleEvent.3,
	  man/gicControlLookupFeature.3, man/gicControlNumFeatures.3,
	  man/gicControlRead.3, man/gicControlWrite.3,
	  man/gicFeatureActivate.3, man/gicFeatureAllocate.3,
	  man/gicFeatureAttachAction.3, man/gicFeatureAttachRecognizer.3,
	  man/gicFeatureAttachRecognizerDriver.3,
	  man/gicFeatureDetachAction.3, man/gicFeatureDetachRecognizer.3,
	  man/gicFeatureFindConflict.3, man/gicFeatureFree.3,
	  man/gicFeatureGetName.3, man/gicFeatureGetRecognizer.3,
	  man/gicFeatureHandleEvent.3, man/gicFeatureMapActions.3,
	  man/gicFeatureNumRecognizers.3, man/gicFeatureRead.3,
	  man/gicFeatureWrite.3, man/gicHeadAllocate.3,
	  man/gicHeadAttachContext.3, man/gicHeadDetachContext.3,
	  man/gicHeadFree.3, man/gicHeadGetContext.3,
	  man/gicHeadLookupContext.3, man/gicHeadMapActions.3,
	  man/gicHeadNumContexts.3, man/gicHeadRead.3, man/gicHeadWrite.3,
	  man/gicRecognizerDriverRegister.3,
	  man/gicRecognizerFindConflict.3, man/gicRecognizerGetName.3,
	  man/gicRecognizerGetOpposite.3, man/gicRecognizerTrain.3,
	  man/gicRecognizerTrainAdd.3, man/gicRecognizerTrainMove.3,
	  man/gicRecognizerTrainStart.3, man/gicRecognizerTrainStop.3,
	  man/gicRecognizerWrite.3, man/libgiigic.7: add dummy manpage for
	  the remaining API functions

2004-10-16 20:11  cegger

	* include/ggi/: gic.h, gic_confmgr.h: replace old-style __cplusplus
	  defines with common and these days portable __BEGIN_DECLS /
	  __END_DECLS

2004-10-16 19:52  cegger

	* doc/libgiigic-libraries.txt: reference to libgii(7) manual

2004-10-16 18:26  cegger

	* doc/: libgiigic-functions.txt, libgiigic.txt, man/Makefile.am,
	  man/gicInit.3, man/gicInputRegister.3, man/gicOpen.3,
	  man/gicRecognizerDriverLookup.3,
	  man/gicRecognizerDriverRegister.3,
	  man/gicRecognizerDriverUnregister.3, man/libgiigic.7: add
	  manpages for

	  gicInputRegister() gicRecognizerDriverLookup()
	  gicRecognizerDriverRegister() gicRecognizerDriverUnregister()

2004-10-16 17:58  cegger

	* gic/: control.c, feature.c, recognizer.c: It is better to
	  actually return GGI_ENOMEM than -1 and telling the user in a C
	  comment, this means 'Out of memory'

2004-10-14 15:40  cegger

	* doc/: Makefile.am, libgiigic-libraries.txt, libgiigic.txt,
	  man/Makefile.am, man/libgiigic.7: add libgiigic(7) manual

2004-10-14 15:24  cegger

	* Makefile.am, configure.in: add documentation directories

2004-10-14 15:22  cegger

	* doc/: Makefile.am, libgiigic-functions.txt, libgiigic.txt,
	  man/.cvsignore, man/Makefile.am, man/gicClose.3, man/gicInit.3,
	  man/gicOpen.3: document basic init/exit and open/close functions

2004-10-14 15:00  cegger

	* gic/init.c: swap GIC_DEBUG and GIC_DEBUGSYNC evaluation. Allows
	  to mention whether we are in sync or in async debug mode.

2004-10-12 20:22  cegger

	* Makefile.am, configure.in, libgiigic.conf.in, gic/Makefile.am,
	  programs/demos/Makefile.am, programs/snazzymgr/Makefile.am,
	  recognizers/cheat/Makefile.am, recognizers/keys/Makefile.am,
	  recognizers/mousebutton/Makefile.am,
	  recognizers/relmouse/Makefile.am,
	  recognizers/valuator/Makefile.am: rename libggigic to libgiigic
	  to reflect the fact that libgiigic is based on libgii and not on
	  libggi. libggi is only used for the demos.

2004-09-30 12:55  cegger

	* config.guess, config.sub, depcomp, install-sh, missing: sync with
	  tools/buildframework: update to the version shipped with automake
	  1.9.2

2004-09-25 09:47  cegger

	* Makefile.am: autogen.sh requires checkversion.sh. So distribute
	  it, too

2004-09-18 12:06  cegger

	* actionlib/lazy.c, include/ggi/gic_aclib_lazy.h,
	  include/ggi/gicaction_lazy.h, programs/demos/confmgrdemo.c,
	  programs/demos/demo.c, programs/demos/ggidemo.c,
	  programs/demos/ggidemo.gic.c, programs/snazzymgr/bigfont.c,
	  programs/snazzymgr/ggitex.c, programs/snazzymgr/roughtex.c,
	  programs/snazzymgr/smallfont.c, programs/snazzymgr/smoothtex.c,
	  programs/snazzymgr/snazzy.h, programs/snazzymgr/util.c,
	  programs/utils/gic2c.c: add rcs identifer

2004-09-10 06:07  cegger

	* configure.in: use same CFLAGS as libggi\'s configure rev 1.130

2004-09-08 14:06  cegger

	* m4/libtool.m4: sync with tools/buildframework/m4/libtool.m4 rev
	  1.3:

	  Use 'gcc -shared' on both cygwin and mingw.  Optimize out dlltool
	  and dllwrap.

2004-08-17 06:53  pekberg

	* configure.in, m4/Makefile.am: Use relative paths in the
	  configuration file.

2004-08-13 19:11  cegger

	* ltmain.sh: sync with tools/buildframework/ltmain.sh, rev 1.2:

	  Install core dlls in bin instead of in lib on mingw.	No longer
	  needed to have the lib dir in the path.

2004-08-12 09:15  pekberg

	* configure.in: make sure that use_libggi is set to yes when
	  appropriate

2004-08-12 09:13  pekberg

	* configure.in: Check if ggi/ggi.h is there before, before using
	  the ac_cv_header_ggi_ggi_h variable. Plus a spelling correction.

2004-08-11 10:27  cegger

	* m4/libtool.m4:
	  sync with tools/buildframework/m4/libtool.m4 rev 1.2:

	  Make libtool build functional dlls on cygwin

2004-07-28 08:03  cegger

	* autogen.sh: echo -n only works on linux, *BSD and darwin. Use
	  printf to make it work on all platforms including System V

2004-06-06 20:49  cegger

	* m4/check4libggi.m4: sync with new versions from
	  tools/buildframework/

2004-06-06 20:16  cegger

	* m4/: check4libggi.m4, gii_paths.m4: sync with new versions from
	  tools/buildframework/

2004-06-06 08:26  cegger

	* configure.in: remove duplicate check introduced in previous
	  commit. Only build libggi demos when both headers and lib are
	  found.

2004-06-06 07:18  cegger

	* configure.in, m4/check4libggi.m4: since libtool handles
	  dependencies correctly, thread detection is no longer needed.

2004-05-28 11:25  cegger

	* m4/check4libggi.m4: sync with new versions from
	  tools/buildframework/

2004-05-28 09:34  pekberg

	* configure.in: no need to shift around LDFLAGS, now that the libgg
	  dependencies are right.

2004-05-25 09:40  pekberg

	* programs/: demos/Makefile.am, snazzymgr/Makefile.am: Remove
	  explicit references to $(THREADLIBS) as they are no longer
	  needed.  This is taken care of implicitly by the recent ltmain.sh
	  update.

2004-05-24 17:03  cegger

	* ltmain.sh: sync with new versions from tools/buildframework/

2004-05-14 10:00  pekberg

	* configure.in: really do save the LDFLAGS, so that they are
	  restored and not cleared after the tests

2004-05-11 10:55  pekberg

	* programs/demos/Makefile.am: make sure ggidemo and confmgrdemo are
	  referenced on at least one *_PROGRAMS row

2004-05-10 10:22  pekberg

	* programs/: demos/Makefile.am, snazzymgr/Makefile.am: threadlibs
	  are needed for freebsd, issue (would have been) found by the
	  autobuilder

2004-05-10 10:11  pekberg

	* configure.in: fix detection of gii/ggi on freebsd, found by
	  autobuilder

2004-05-09 20:13  cegger

	* config.guess, config.sub: sync with new versions from
	  tools/buildscripts/

2004-05-09 12:48  cegger

	* config.guess, config.sub, depcomp, install-sh: sync with new
	  versions from tools/buildscripts/

2004-05-08 23:24  cegger

	* m4/: Makefile.am, check4libggi.m4: move over to new libggi
	  detection. While here update EXTRA_DIST

2004-05-08 18:00  cegger

	* actionlib/EXPSYMS:
	  gicActionLazyRecalc() is declared static. Thus the symbol can't
	  be exported.	Fixes Solaris and Cygwin platforms.

2004-05-07 12:23  pekberg

	* programs/snazzymgr/Makefile.am: build snazzymgr on windows

2004-05-07 11:49  pekberg

	* actionlib/Makefile.am, gic/Makefile.am, gic/init.c,
	  include/ggi/Makefile.am, include/ggi/gic-defs.h,
	  include/ggi/gic.h, include/ggi/gic_confmgr.h,
	  include/ggi/gicaction_lazy.h, include/ggi/internal/gic_debug.h,
	  programs/demos/ggidemo.c, recognizers/cheat/Makefile.am,
	  recognizers/cheat/cheat.c, recognizers/keys/Makefile.am,
	  recognizers/keys/keys.c, recognizers/mousebutton/Makefile.am,
	  recognizers/mousebutton/mousebutton.c,
	  recognizers/relmouse/Makefile.am,
	  recognizers/relmouse/relmouse.c,
	  recognizers/valuator/Makefile.am,
	  recognizers/valuator/valuator.c: make it work on windows

2004-05-06 19:39  pekberg

	* configure.in: autodetect ggi, with the same workaround used for
	  gii

2004-04-23 04:33  cegger

	* .cvsignore: ignore autom4te.cache

2004-04-09 22:34  cegger

	* config.guess, config.sub: update to version shipped with libtool
	  1.5.4

2004-04-09 22:33  cegger

	* install-sh, mkinstalldirs: update to version shipped with
	  automake 1.8.3

2004-02-26 12:20  cegger

	* m4/libtool.m4: sync with libgii's revision 1.15

2004-02-10 06:37  cegger

	* m4/libtool.m4: make install works on mingw. Patch from Peter
	  Ekberg.

2004-01-31 11:20  cegger

	* checkversion.sh: sync with libgii's latest revision 1.4

2004-01-31 10:35  cegger

	* autogen.sh, checkversion.sh: make autogen.sh checking for
	  required autoconf & automake version

2004-01-31 10:11  cegger

	* m4/libtool.m4: sync with libgii's revision 1.12

2004-01-29 20:24  cegger

	* m4/libtool.m4: sync libtool with libgii (revision 1.11)

2004-01-24 23:06  cegger

	* ltmain.sh, m4/libtool.m4: merge libgii's libtool update

	  ltmain.sh (revisions 1.11-1.13) m4/ltdl.m4 (revision 1.3)
	  m4/libtool.m4 (revision 1.10)

2004-01-24 18:49  cegger

	* compile, config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to version shipped with automake 1.8.2

2003-12-27 15:28  cegger

	* ChangeLog: autogenerate for version 0.9.9

2003-12-27 15:25  cegger

	* m4/Makefile.am: add missing files

2003-12-27 15:19  cegger

	* configure.in: bump version down to 0.9.9, which is effectively
	  1.0 without documentation.

2003-12-27 15:18  cegger

	* configure.in: make configure fail, when libgii is not found. Also
	  inform the user, wether configure builds the demos relying on
	  libggi or not

2003-12-20 13:37  cegger

	* gic/EXPSYMS: export symbol needed to compile the demos. Issue
	  found on Solaris.

2003-12-20 13:10  cegger

	* recognizers/valuator/EXPSYMS: don't export non-existing
	  GICdlcleanup symbol. Issue found on Solaris.

2003-12-20 13:07  cegger

	* recognizers/: mousebutton/EXPSYMS, relmouse/EXPSYMS: don't export
	  non-existing GICdlcleanup symbol. Issue found on Solaris.

2003-12-20 13:03  cegger

	* recognizers/: cheat/EXPSYMS, keys/EXPSYMS: don't export
	  non-existing GICdlcleanup symbol. Issue found on Solaris.

2003-12-15 16:34  cegger

	* configure.in, gic/Makefile.am: bump version to 1.0.0

2003-12-15 16:28  cegger

	* include/ggi/internal/Makefile.am: don't install internal header.
	  Was introduced in previous.

2003-12-15 08:36  cegger

	* gic/Makefile.am: sync structure with libgii/gii/Makefile.am

2003-12-15 08:33  cegger

	* include/ggi/internal/Makefile.am: use correct automake settings.
	  'make distcheck' works again.

2003-12-13 14:52  cegger

	* config.guess, config.sub, depcomp, missing: update to version
	  shipped by automake 1.7.9

2003-11-27 20:11  cegger

	* configure.in: libgic has no obscure structure initialization
	  causing gcc to produce false warnings.

2003-10-09 15:09  cegger

	* configure.in: tell gcc to notice deverlopers to add missing
	  includes :)

2003-09-22 19:53  cegger

	* depcomp, install-sh: update to version shipped by automake 1.7.6

2003-08-03 22:31  cegger

	* gic/: action.c, context.c, control.c, feature.c, head.c, init.c,
	  manager.c, recognizer.c: - use K&R coding style - fix compiler
	  warnings found on 64bit archs

2003-07-16 19:05  cegger

	* configure.in: disable -Werror

2003-07-14 19:14  cegger

	* configure.in, gic/EXPSYMS, gic/context.c, gic/control.c,
	  gic/feature.c, gic/init.c, gic/manager.c, gic/recognizer.c,
	  include/ggi/gic.h, include/ggi/gic_confmgr.h,
	  include/ggi/gic_structs.h, include/ggi/internal/gic.h,
	  programs/demos/demo.c, programs/demos/ggidemo.c,
	  programs/demos/ggidemo.gic.c, programs/snazzymgr/main.c,
	  programs/snazzymgr/util.c, programs/utils/gic2c.c,
	  recognizers/cheat/cheat.c, recognizers/keys/keys.c,
	  recognizers/mousebutton/mousebutton.c,
	  recognizers/relmouse/relmouse.c, recognizers/valuator/valuator.c:
	  lots of warning fixes

2003-07-14 16:31  cegger

	* autogen.sh: synchronize with libgii

2003-07-09 08:58  cegger

	* config.guess, config.sub: update from
	  ftp://ftp.gnu.org/gnu/config/

2003-06-12 08:08  cegger

	* config.guess, config.sub, install-sh: update to the version
	  shipped by automake 1.7.5

2003-05-11 12:15  cegger

	* gic/init.c: fix warning: 'function declaration isn't a prototype'

2003-05-09 22:09  cegger

	* configure.in: warn on incomplete switch/case handling

2003-04-22 20:36  cegger

	* configure.in: make gcc more silence and warn about more serious
	  things

2003-02-26 21:44  cegger

	* config.guess, config.sub, depcomp: update to the version shipped
	  by automake 1.7.3

2003-01-28 15:25  cegger

	* ltmain.sh: merge OpenBSD fixes from libggi

2002-12-18 09:50  cegger

	* configure.in: more checks

2002-12-18 09:45  cegger

	* programs/demos/ggidemo.c: add missing include

2002-12-18 00:16  cegger

	* configure.in, gic/init.c, include/ggi/internal/Makefile.am,
	  include/ggi/internal/gic_debug.h,
	  programs/snazzymgr/configmanager.gic: libgic works under Darwin
	  now

2002-12-17 23:45  cegger

	* gic/init.c: more cleanups

2002-12-17 23:15  cegger

	* programs/demos/ggidemo.c: cleanups

2002-12-17 23:06  cegger

	* gic/init.c: initialization fixes

2002-12-17 22:28  cegger

	* programs/demos/ggidemo.c: gcc 3.1 says, inline must be at the
	  beginning of the declaration.

2002-12-17 22:23  cegger

	* recognizers/valuator/valuator.c: fixed comparison between signed
	  and unsigned

2002-12-17 22:20  cegger

	* recognizers/mousebutton/mousebutton.c: fixed comparison between
	  signed and unsigned

2002-12-17 22:19  cegger

	* recognizers/keys/keys.c: cleanups plus fixed some comparisons
	  between signed and unsigned

2002-12-17 21:48  cegger

	* recognizers/cheat/cheat.c: cleanups plus fix comparison of
	  unsigned < 0

2002-12-17 21:34  cegger

	* gic/: init.c, manager.c: some cleanups and implicit declaration
	  fixes

2002-12-17 21:24  cegger

	* gic/recognizer.c: add missing header

2002-12-17 20:51  cegger

	* gic/EXPSYMS: remove trailing whitespaces

2002-12-17 20:45  cegger

	* gic/action.c: add missing include

2002-12-17 18:21  cegger

	* config.guess, config.sub, install-sh: update to the version
	  coming along with autoconf 2.57/automake 1.7.2

2002-12-16 23:37  cegger

	* Makefile.am, configure.in, gic/Makefile.am,
	  include/ggi/internal/Makefile.am, programs/demos/Makefile.am,
	  programs/snazzymgr/Makefile.am, recognizers/cheat/Makefile.am,
	  recognizers/keys/Makefile.am,
	  recognizers/mousebutton/Makefile.am,
	  recognizers/relmouse/Makefile.am,
	  recognizers/valuator/Makefile.am: renamed libgic to libggigic

2002-12-16 23:23  cegger

	* include/ggi/internal/gic_debug.h: compile fixes

2002-12-08 21:37  cegger

	* ltmain.sh: add fixes from debian

2002-11-27 21:18  cegger

	* configure.in, m4/gii_paths.m4: configure cleanup

2002-11-25 14:41  cegger

	* config.guess, config.sub, install-sh, mkinstalldirs: update to
	  the versions shipped with autoconf 2.55

2002-10-24 15:21  cegger

	* config.guess, ltmain.sh, m4/libtool.m4: update to libtool 1.4.3

2002-10-17 21:06  cegger

	* config.guess, config.sub: update to versions shipped with
	  automake 1.7. This let configure recognize more CPU variants
	  (i.e. of mips, powerpc64 and athlon (XP))

2002-10-07 21:11  cegger

	* config.guess, config.sub, depcomp, install-sh, missing,
	  mkinstalldirs: update to the version shipped with automake 1.6.3

2002-10-06 12:52  cegger

	* compile, config.guess, config.sub, configure.in, depcomp,
	  install-sh, ltmain.sh, missing, mkinstalldirs, m4/libtool.m4:
	  merge build system update from libgii

2002-09-28 15:41  cegger

	* Makefile.am: merge automake 1.6 fix from libgii

2002-01-12 16:44  cegger

	* configure.in: --with-ggi defaults to --prefix

2001-07-16 15:08  thayne

	* configure.in: revert to AM_PROG_LIBTOOL and AM_DISABLE_STATIC to
	  fix "LIBTOOL no set in configure.in" bug and inconsistency with
	  LIBTOOL docs.

2001-07-10 05:22  thayne

	* configure.in: AM_PROG_LIBTOOL and AM_DISABLE_STATIC are
	  deprecated - use 'AC_' names.

2001-07-09 14:49  thayne

	* m4/libtool.m4: libtool 1.4 has moved tests from ltconfig to
	  libtool.m4.  Delete unecessary ltconfig and update libtool.m4.

2001-07-07 17:26  thayne

	* Makefile.am, configure.in: Update configure.in and associated
	  files to be consistent across libs

2001-07-07 15:04  thayne

	* ltmain.sh: Fixing bug in libtool 1.4 where it won't find
	  interdependency libraries during install to a packaging dir

2001-07-07 08:12  thayne

	* config.guess, config.sub, ltmain.sh: Updating to libtool 1.4

2001-07-03 20:14  cegger

	* Makefile.am, configure.in: confdir fixes

2001-04-22 19:02  cegger

	* Makefile.am, autogen.sh, config.guess, config.sub, configure.in,
	  install-sh, .cvsignore, ltmain.sh, missing, mkinstalldirs,
	  actionlib/EXPSYMS, actionlib/Makefile.am, actionlib/lazy.c,
	  gic/EXPSYMS, gic/Makefile.am, gic/init.c, gic/recognizer.c,
	  gic/action.c, gic/context.c, gic/control.c, gic/feature.c,
	  gic/manager.c, gic/head.c, include/ggi/Makefile.am,
	  include/ggi/gic_confmgr.h, include/ggi/gicaction_lazy.h,
	  include/ggi/gic.h, include/ggi/gic_aclib_lazy.h,
	  include/ggi/gic_structs.h, include/ggi/internal/Makefile.am,
	  include/ggi/internal/gic.h, include/ggi/internal/gic_debug.h,
	  m4/libtool.m4, m4/Makefile.am, programs/demos/demo.c,
	  programs/demos/ggidemo.gic.c, programs/demos/Makefile.am,
	  programs/demos/confmgrdemo.c, programs/demos/ggidemo.c,
	  programs/snazzymgr/Makefile.am, programs/snazzymgr/main.c,
	  programs/snazzymgr/bigfont.c,
	  programs/snazzymgr/configmanager.gic,
	  programs/snazzymgr/ggitex.c, programs/snazzymgr/roughtex.c,
	  programs/snazzymgr/smallfont.c, programs/snazzymgr/smoothtex.c,
	  programs/snazzymgr/snazzy.h, programs/snazzymgr/util.c,
	  programs/utils/gic2c.c, recognizers/cheat/EXPSYMS,
	  recognizers/cheat/Makefile.am, recognizers/cheat/cheat.c,
	  recognizers/keys/EXPSYMS, recognizers/keys/Makefile.am,
	  recognizers/keys/keys.c, recognizers/mousebutton/EXPSYMS,
	  recognizers/mousebutton/Makefile.am,
	  recognizers/mousebutton/mousebutton.c,
	  recognizers/relmouse/EXPSYMS, recognizers/relmouse/Makefile.am,
	  recognizers/relmouse/relmouse.c, recognizers/valuator/EXPSYMS,
	  recognizers/valuator/Makefile.am,
	  recognizers/valuator/valuator.c: Initial revision

2001-04-22 19:02  cegger

	* actionlib/.cvsignore, doc/.cvsignore, gic/.cvsignore,
	  include/.cvsignore, include/Makefile.am, include/ggi/.cvsignore,
	  include/ggi/internal/.cvsignore, m4/.cvsignore,
	  programs/.cvsignore, programs/Makefile.am,
	  programs/demos/demo.gic, programs/demos/configmanager.gic,
	  programs/demos/.cvsignore, programs/demos/confmgrdemo.gic,
	  programs/snazzymgr/.cvsignore, programs/utils/.cvsignore,
	  programs/utils/Makefile.am, recognizers/.cvsignore,
	  recognizers/Makefile.am, recognizers/cheat/.cvsignore,
	  recognizers/keys/.cvsignore, recognizers/mousebutton/.cvsignore,
	  recognizers/relmouse/.cvsignore, recognizers/valuator/.cvsignore:
	  initial import

